Upstream:
https://sourceforge.net/tracker/?func=detail&aid=3529198&group_id=180858&atid=894869
Index: lxmusic-0.4.5/src/lxmusic-notify.c
===================================================================
--- lxmusic-0.4.5.orig/src/lxmusic-notify.c
+++ lxmusic-0.4.5/src/lxmusic-notify.c
@@ -84,9 +84,20 @@ LXMusicNotification lxmusic_do_notify_pr
     else 			
 	g_string_append( message, title );
     struct _LXMusicNotification *lxn = g_new ( struct _LXMusicNotification, 1);
+#ifdef NOTIFY_CHECK_VERSION
+#if NOTIFY_CHECK_VERSION (0, 7, 0)
+    lxn->notify = notify_notification_new (summary, message->str, NULL);
+#else
     lxn->notify = notify_notification_new (summary, message->str, NULL, NULL);
+#endif
+#else
+    lxn->notify = notify_notification_new (summary, message->str, NULL, NULL);
+#endif
     notify_notification_set_urgency (lxn->notify, NOTIFY_URGENCY_NORMAL);
+#if !defined(NOTIFY_VERSION_MINOR) || (NOTIFY_VERSION_MAJOR == 0 && NOTIFY_VERSION_MINOR < 7)
+    notify_notification_attach_to_status_icon(notify, priv->statusIcon);
     notify_notification_attach_to_status_icon( lxn->notify, status_icon );
+#endif
     notify_notification_set_timeout (lxn->notify, NOTIFY_EXPIRES_DEFAULT);
     g_string_free( message, TRUE );
     return lxn;
